Commerce
Get v1publicstorefronts collections
GET
/
v1
/
public
/
storefronts
/
{slug}
/
collections
cURL
curl --request GET \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/collections \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/collections"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"active": true,
"id": "<string>",
"slug": "<string>",
"sort_order": 123,
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"product_count": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Response
OK
Show child attributes
Show child attributes
⌘I
cURL
curl --request GET \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/collections \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/collections"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"active": true,
"id": "<string>",
"slug": "<string>",
"sort_order": 123,
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"product_count": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}